using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("作业人员表")]
    public class T_FO_FIRE_JOB_WB_USER : MesEntityBase
    {

        [Description("动火作业")]
        [DataFieldForeignKey("Nav_Job", "Nav_Users")]
        public Guid FIRE_JOB_WB_ID { get; set; }

        [Description("导航属性：动火作业")]
        public virtual T_FO_FIRE_JOB_WB Nav_Job { get; set; }
        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

        [Description("人员类别")]
        [DataFieldForeignKey("Nav_UserType")]
        [FormFieldEdit]
        public Guid? USER_TYPE_ID { get; set; }

        [Description("导航属性：人员类别")]
        public virtual T_OG_RELATED_USER_TYPE Nav_UserType { get; set; }

        [Description("证件名称")]
        [DataFieldLength(100)]
        public string CERTIFICATE_NAME { get; set; }

        [Description("证件编号")]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string CERTIFICATE_CODE { get; set; }

        [Description("作业人员")]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string USER_NAME { get; set; }

        [Description("相关方人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_OG_RELATED_USER Nav_User { get; set; }
        [Description("附件")]
        [FormFieldEdit]
        public virtual ICollection<T_FO_FIRE_JOB_WB_USER_FILE> Nav_UserFiles { get; set; }
        [Description("导航属性：签名")]
        public ICollection<T_FO_FIRE_JOB_WB_USER_SIGN> Nav_Signs { get; set; }
    }
}
